/*===========================================================================*/
/*   (Llib/binary.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O3 -mklib -cc gcc-2.95 -fsharing -q -rm -s -unsafev -eval (set! *indent* 4) -copt -DBGL_NO_PIC -g -c Llib/binary.scm -indent -o objs/obj_s/Llib/binary.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

/* debug mode */
#define BIGLOO_DEBUG 1

#include <bigloo.h>
#include <signal.h>

BGL_EXPORTED_DECL obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
extern obj_t output_obj(obj_t, obj_t);
static obj_t BGl_symbol1851z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1850z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1849z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1847z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1846z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1845z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1844z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1843z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zz__binaryz00();
static obj_t BGl_symbol1842z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1840z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1839z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1838z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1837z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1836z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1835z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1832z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1831z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1830z00zz__binaryz00 = BUNSPEC;
extern obj_t string_to_symbol(char *);
extern obj_t open_output_binary_file(obj_t);
static obj_t BGl__appendzd2outputzd2binaryzd2file1722zd2zz__binaryz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00();
BGL_EXPORTED_DECL obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
static obj_t BGl__inputzd2char1734zd2zz__binaryz00(obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__openzd2inputzd2binaryzd2file1724zd2zz__binaryz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__binaryz00 = BUNSPEC;
static obj_t BGl__outputzd2char1732zd2zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl__closezd2binaryzd2port1726z00zz__binaryz00(obj_t, obj_t);
extern obj_t open_input_binary_file(obj_t);
extern obj_t append_output_binary_file(obj_t);
BGL_EXPORTED_DECL obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t, char);
static obj_t BGl__outputzd2obj1730zd2zz__binaryz00(obj_t, obj_t, obj_t);
extern obj_t input_obj(obj_t);
BGL_EXPORTED_DECL obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t);
static obj_t BGl__inputzd2obj1728zd2zz__binaryz00(obj_t, obj_t);
extern obj_t close_binary_port(obj_t);
extern unsigned char BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(long);
BGL_EXPORTED_DECL obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t, obj_t);
static obj_t BGl__binaryzd2portzf3z21zz__binaryz00(obj_t, obj_t);
static obj_t BGl__openzd2outputzd2binaryzd2file1720zd2zz__binaryz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_outputzd2objzd2envz00zz__binaryz00, BgL_bgl__outputza7d2obj1730za7d2za7za7__binaryza7001858za7, BGl__outputzd2obj1730zd2zz__binaryz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_appendzd2outputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl__appendza7d2outputza7d2binaryza7d2file1722za7d2za7za7__binaryza7001859za7, BGl__appendzd2outputzd2binaryzd2file1722zd2zz__binaryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_closezd2binaryzd2portzd2envzd2zz__binaryz00, BgL_bgl__closeza7d2binaryza7d2port1726za700za7za7__binaryza7001860z00, BGl__closezd2binaryzd2port1726z00zz__binaryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_outputzd2charzd2envz00zz__binaryz00, BgL_bgl__outputza7d2char1732za7d2za7za7__binaryza7001861za7, BGl__outputzd2char1732zd2zz__binaryz00, 0L, 2 );
DEFINE_STRING( BGl_string1848z00zz__binaryz00, BgL_bgl_string1848za700za7za7__binaryza7001862z00, "char", 4 );
DEFINE_EXPORT_PROCEDURE( BGl_openzd2inputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl__openza7d2inputza7d2binaryza7d2file1724za7d2za7za7__binaryza7001863za7, BGl__openzd2inputzd2binaryzd2file1724zd2zz__binaryz00, 0L, 1 );
DEFINE_STRING( BGl_string1841z00zz__binaryz00, BgL_bgl_string1841za700za7za7__binaryza7001864z00, "binary-port", 11 );
DEFINE_EXPORT_PROCEDURE( BGl_binaryzd2portzf3zd2envzf3zz__binaryz00, BgL_bgl__binaryza7d2portza7f3za721za7za7__binaryza7001865z00, BGl__binaryzd2portzf3z21zz__binaryz00, 0L, 1 );
DEFINE_STRING( BGl_string1834z00zz__binaryz00, BgL_bgl_string1834za700za7za7__binaryza7001866z00, "/tmp/bigloo/runtime/./Llib/binary.scm", 37 );
DEFINE_STRING( BGl_string1833z00zz__binaryz00, BgL_bgl_string1833za700za7za7__binaryza7001867z00, "bstring", 7 );
DEFINE_EXPORT_PROCEDURE( BGl_openzd2outputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl__openza7d2outputza7d2binaryza7d2file1720za7d2za7za7__binaryza7001868za7, BGl__openzd2outputzd2binaryzd2file1720zd2zz__binaryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_inputzd2charzd2envz00zz__binaryz00, BgL_bgl__inputza7d2char1734za7d2za7za7__binaryza7001869za7, BGl__inputzd2char1734zd2zz__binaryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_inputzd2objzd2envz00zz__binaryz00, BgL_bgl__inputza7d2obj1728za7d2za7za7__binaryza7001870za7, BGl__inputzd2obj1728zd2zz__binaryz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long BgL_checksumz00_632, char * BgL_fromz00_633)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__binaryz00))
{ 
BGl_requirezd2initializa7ationz75zz__binaryz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__binaryz00(); 
BGl_importedzd2moduleszd2initz00zz__binaryz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__binaryz00()
{ AN_OBJECT;
{ /* ./Llib/binary.scm 15 */
BGl_symbol1830z00zz__binaryz00 = 
string_to_symbol("binary-port?"); 
BGl_symbol1831z00zz__binaryz00 = 
string_to_symbol("open-output-binary-file"); 
BGl_symbol1832z00zz__binaryz00 = 
string_to_symbol("_open-output-binary-file1720"); 
BGl_symbol1835z00zz__binaryz00 = 
string_to_symbol("append-output-binary-file"); 
BGl_symbol1836z00zz__binaryz00 = 
string_to_symbol("_append-output-binary-file1722"); 
BGl_symbol1837z00zz__binaryz00 = 
string_to_symbol("open-input-binary-file"); 
BGl_symbol1838z00zz__binaryz00 = 
string_to_symbol("_open-input-binary-file1724"); 
BGl_symbol1839z00zz__binaryz00 = 
string_to_symbol("close-binary-port"); 
BGl_symbol1840z00zz__binaryz00 = 
string_to_symbol("_close-binary-port1726"); 
BGl_symbol1842z00zz__binaryz00 = 
string_to_symbol("input-obj"); 
BGl_symbol1843z00zz__binaryz00 = 
string_to_symbol("_input-obj1728"); 
BGl_symbol1844z00zz__binaryz00 = 
string_to_symbol("output-obj"); 
BGl_symbol1845z00zz__binaryz00 = 
string_to_symbol("_output-obj1730"); 
BGl_symbol1846z00zz__binaryz00 = 
string_to_symbol("output-char"); 
BGl_symbol1847z00zz__binaryz00 = 
string_to_symbol("_output-char1732"); 
BGl_symbol1849z00zz__binaryz00 = 
string_to_symbol("input-char"); 
BGl_symbol1850z00zz__binaryz00 = 
string_to_symbol("_input-char1734"); 
return ( 
BGl_symbol1851z00zz__binaryz00 = 
string_to_symbol("%import@__binary"), BUNSPEC) ;} 
}



/* binary-port? */
BGL_EXPORTED_DEF bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 105 */
{ /* ./Llib/binary.scm 106 */
obj_t BgL_symbol1680z00_582;
BgL_symbol1680z00_582 = BGl_symbol1830z00zz__binaryz00; 
{ /* ./Llib/binary.scm 106 */

PUSH_TRACE(BgL_symbol1680z00_582); BUNSPEC; 
{ /* ./Llib/binary.scm 106 */
bool_t BgL_aux1679z00_583;
BgL_aux1679z00_583 = 
BINARY_PORTP(BgL_objz00_1); 
POP_TRACE(); 
return BgL_aux1679z00_583;} } } } 
}



/* _binary-port? */
obj_t BGl__binaryzd2portzf3z21zz__binaryz00(obj_t BgL_envz00_544, obj_t BgL_objz00_545)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 105 */
{ /* ./Llib/binary.scm 106 */
bool_t BgL_auxz00_660;
{ /* ./Llib/binary.scm 106 */
bool_t BgL_res1852z00_587;
{ /* ./Llib/binary.scm 106 */
obj_t BgL_symbol1680z00_585;
BgL_symbol1680z00_585 = BGl_symbol1830z00zz__binaryz00; 
{ /* ./Llib/binary.scm 106 */

PUSH_TRACE(BgL_symbol1680z00_585); BUNSPEC; 
{ /* ./Llib/binary.scm 106 */
bool_t BgL_aux1679z00_586;
BgL_aux1679z00_586 = 
BINARY_PORTP(BgL_objz00_545); 
POP_TRACE(); 
BgL_res1852z00_587 = BgL_aux1679z00_586; } } } 
BgL_auxz00_660 = BgL_res1852z00_587; } 
return 
BBOOL(BgL_auxz00_660);} } 
}



/* open-output-binary-file */
BGL_EXPORTED_DEF obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_2)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 111 */
{ /* ./Llib/binary.scm 112 */
obj_t BgL_symbol1684z00_588;
BgL_symbol1684z00_588 = BGl_symbol1831z00zz__binaryz00; 
{ /* ./Llib/binary.scm 112 */

PUSH_TRACE(BgL_symbol1684z00_588); BUNSPEC; 
{ /* ./Llib/binary.scm 112 */
obj_t BgL_aux1683z00_589;
BgL_aux1683z00_589 = 
open_output_binary_file(BgL_strz00_2); 
POP_TRACE(); 
return BgL_aux1683z00_589;} } } } 
}



/* _open-output-binary-file1720 */
obj_t BGl__openzd2outputzd2binaryzd2file1720zd2zz__binaryz00(obj_t BgL_envz00_546, obj_t BgL_strz00_547)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 111 */
{ /* ./Llib/binary.scm 112 */
obj_t BgL_strz00_590;
if(
STRINGP(BgL_strz00_547))
{ /* ./Llib/binary.scm 112 */
BgL_strz00_590 = BgL_strz00_547; }  else 
{ /* ./Llib/binary.scm 112 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1832z00zz__binaryz00, BGl_string1833z00zz__binaryz00, BgL_strz00_547, BGl_string1834z00zz__binaryz00, 
BINT(((long)4371))); 
exit( -1 );} 
{ /* ./Llib/binary.scm 112 */
obj_t BgL_symbol1684z00_591;
BgL_symbol1684z00_591 = BGl_symbol1831z00zz__binaryz00; 
{ /* ./Llib/binary.scm 112 */

PUSH_TRACE(BgL_symbol1684z00_591); BUNSPEC; 
{ /* ./Llib/binary.scm 112 */
obj_t BgL_aux1683z00_592;
BgL_aux1683z00_592 = 
open_output_binary_file(BgL_strz00_590); 
POP_TRACE(); 
return BgL_aux1683z00_592;} } } } } 
}



/* append-output-binary-file */
BGL_EXPORTED_DEF obj_t BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_3)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 117 */
{ /* ./Llib/binary.scm 118 */
obj_t BgL_symbol1688z00_593;
BgL_symbol1688z00_593 = BGl_symbol1835z00zz__binaryz00; 
{ /* ./Llib/binary.scm 118 */

PUSH_TRACE(BgL_symbol1688z00_593); BUNSPEC; 
{ /* ./Llib/binary.scm 118 */
obj_t BgL_aux1687z00_594;
BgL_aux1687z00_594 = 
append_output_binary_file(BgL_strz00_3); 
POP_TRACE(); 
return BgL_aux1687z00_594;} } } } 
}



/* _append-output-binary-file1722 */
obj_t BGl__appendzd2outputzd2binaryzd2file1722zd2zz__binaryz00(obj_t BgL_envz00_548, obj_t BgL_strz00_549)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 117 */
{ /* ./Llib/binary.scm 118 */
obj_t BgL_strz00_595;
if(
STRINGP(BgL_strz00_549))
{ /* ./Llib/binary.scm 118 */
BgL_strz00_595 = BgL_strz00_549; }  else 
{ /* ./Llib/binary.scm 118 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1836z00zz__binaryz00, BGl_string1833z00zz__binaryz00, BgL_strz00_549, BGl_string1834z00zz__binaryz00, 
BINT(((long)4677))); 
exit( -1 );} 
{ /* ./Llib/binary.scm 118 */
obj_t BgL_symbol1688z00_596;
BgL_symbol1688z00_596 = BGl_symbol1835z00zz__binaryz00; 
{ /* ./Llib/binary.scm 118 */

PUSH_TRACE(BgL_symbol1688z00_596); BUNSPEC; 
{ /* ./Llib/binary.scm 118 */
obj_t BgL_aux1687z00_597;
BgL_aux1687z00_597 = 
append_output_binary_file(BgL_strz00_595); 
POP_TRACE(); 
return BgL_aux1687z00_597;} } } } } 
}



/* open-input-binary-file */
BGL_EXPORTED_DEF obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_4)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 123 */
{ /* ./Llib/binary.scm 124 */
obj_t BgL_symbol1692z00_598;
BgL_symbol1692z00_598 = BGl_symbol1837z00zz__binaryz00; 
{ /* ./Llib/binary.scm 124 */

PUSH_TRACE(BgL_symbol1692z00_598); BUNSPEC; 
{ /* ./Llib/binary.scm 124 */
obj_t BgL_aux1691z00_599;
BgL_aux1691z00_599 = 
open_input_binary_file(BgL_strz00_4); 
POP_TRACE(); 
return BgL_aux1691z00_599;} } } } 
}



/* _open-input-binary-file1724 */
obj_t BGl__openzd2inputzd2binaryzd2file1724zd2zz__binaryz00(obj_t BgL_envz00_550, obj_t BgL_strz00_551)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 123 */
{ /* ./Llib/binary.scm 124 */
obj_t BgL_strz00_600;
if(
STRINGP(BgL_strz00_551))
{ /* ./Llib/binary.scm 124 */
BgL_strz00_600 = BgL_strz00_551; }  else 
{ /* ./Llib/binary.scm 124 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1838z00zz__binaryz00, BGl_string1833z00zz__binaryz00, BgL_strz00_551, BGl_string1834z00zz__binaryz00, 
BINT(((long)4982))); 
exit( -1 );} 
{ /* ./Llib/binary.scm 124 */
obj_t BgL_symbol1692z00_601;
BgL_symbol1692z00_601 = BGl_symbol1837z00zz__binaryz00; 
{ /* ./Llib/binary.scm 124 */

PUSH_TRACE(BgL_symbol1692z00_601); BUNSPEC; 
{ /* ./Llib/binary.scm 124 */
obj_t BgL_aux1691z00_602;
BgL_aux1691z00_602 = 
open_input_binary_file(BgL_strz00_600); 
POP_TRACE(); 
return BgL_aux1691z00_602;} } } } } 
}



/* close-binary-port */
BGL_EXPORTED_DEF obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t BgL_portz00_5)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 129 */
{ /* ./Llib/binary.scm 130 */
obj_t BgL_symbol1696z00_603;
BgL_symbol1696z00_603 = BGl_symbol1839z00zz__binaryz00; 
{ /* ./Llib/binary.scm 130 */

PUSH_TRACE(BgL_symbol1696z00_603); BUNSPEC; 
{ /* ./Llib/binary.scm 130 */
obj_t BgL_aux1695z00_604;
BgL_aux1695z00_604 = 
close_binary_port(BgL_portz00_5); 
POP_TRACE(); 
return BgL_aux1695z00_604;} } } } 
}



/* _close-binary-port1726 */
obj_t BGl__closezd2binaryzd2port1726z00zz__binaryz00(obj_t BgL_envz00_552, obj_t BgL_portz00_553)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 129 */
{ /* ./Llib/binary.scm 130 */
obj_t BgL_portz00_605;
if(
BINARY_PORTP(BgL_portz00_553))
{ /* ./Llib/binary.scm 130 */
BgL_portz00_605 = BgL_portz00_553; }  else 
{ /* ./Llib/binary.scm 130 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1840z00zz__binaryz00, BGl_string1841z00zz__binaryz00, BgL_portz00_553, BGl_string1834z00zz__binaryz00, 
BINT(((long)5280))); 
exit( -1 );} 
{ /* ./Llib/binary.scm 130 */
obj_t BgL_symbol1696z00_606;
BgL_symbol1696z00_606 = BGl_symbol1839z00zz__binaryz00; 
{ /* ./Llib/binary.scm 130 */

PUSH_TRACE(BgL_symbol1696z00_606); BUNSPEC; 
{ /* ./Llib/binary.scm 130 */
obj_t BgL_aux1695z00_607;
BgL_aux1695z00_607 = 
close_binary_port(BgL_portz00_605); 
POP_TRACE(); 
return BgL_aux1695z00_607;} } } } } 
}



/* input-obj */
BGL_EXPORTED_DEF obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t BgL_portz00_6)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 135 */
{ /* ./Llib/binary.scm 136 */
obj_t BgL_symbol1700z00_608;
BgL_symbol1700z00_608 = BGl_symbol1842z00zz__binaryz00; 
{ /* ./Llib/binary.scm 136 */

PUSH_TRACE(BgL_symbol1700z00_608); BUNSPEC; 
{ /* ./Llib/binary.scm 136 */
obj_t BgL_aux1699z00_609;
BgL_aux1699z00_609 = 
input_obj(BgL_portz00_6); 
POP_TRACE(); 
return BgL_aux1699z00_609;} } } } 
}



/* _input-obj1728 */
obj_t BGl__inputzd2obj1728zd2zz__binaryz00(obj_t BgL_envz00_554, obj_t BgL_portz00_555)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 135 */
{ /* ./Llib/binary.scm 136 */
obj_t BgL_portz00_610;
if(
BINARY_PORTP(BgL_portz00_555))
{ /* ./Llib/binary.scm 136 */
BgL_portz00_610 = BgL_portz00_555; }  else 
{ /* ./Llib/binary.scm 136 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1843z00zz__binaryz00, BGl_string1841z00zz__binaryz00, BgL_portz00_555, BGl_string1834z00zz__binaryz00, 
BINT(((long)5566))); 
exit( -1 );} 
{ /* ./Llib/binary.scm 136 */
obj_t BgL_symbol1700z00_611;
BgL_symbol1700z00_611 = BGl_symbol1842z00zz__binaryz00; 
{ /* ./Llib/binary.scm 136 */

PUSH_TRACE(BgL_symbol1700z00_611); BUNSPEC; 
{ /* ./Llib/binary.scm 136 */
obj_t BgL_aux1699z00_612;
BgL_aux1699z00_612 = 
input_obj(BgL_portz00_610); 
POP_TRACE(); 
return BgL_aux1699z00_612;} } } } } 
}



/* output-obj */
BGL_EXPORTED_DEF obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t BgL_portz00_7, obj_t BgL_objz00_8)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 141 */
{ /* ./Llib/binary.scm 142 */
obj_t BgL_symbol1704z00_613;
BgL_symbol1704z00_613 = BGl_symbol1844z00zz__binaryz00; 
{ /* ./Llib/binary.scm 142 */

PUSH_TRACE(BgL_symbol1704z00_613); BUNSPEC; 
{ /* ./Llib/binary.scm 142 */
obj_t BgL_aux1703z00_614;
BgL_aux1703z00_614 = 
output_obj(BgL_portz00_7, BgL_objz00_8); 
POP_TRACE(); 
return BgL_aux1703z00_614;} } } } 
}



/* _output-obj1730 */
obj_t BGl__outputzd2obj1730zd2zz__binaryz00(obj_t BgL_envz00_556, obj_t BgL_portz00_557, obj_t BgL_objz00_558)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 141 */
{ /* ./Llib/binary.scm 142 */
obj_t BgL_portz00_615;
if(
BINARY_PORTP(BgL_portz00_557))
{ /* ./Llib/binary.scm 142 */
BgL_portz00_615 = BgL_portz00_557; }  else 
{ /* ./Llib/binary.scm 142 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1845z00zz__binaryz00, BGl_string1841z00zz__binaryz00, BgL_portz00_557, BGl_string1834z00zz__binaryz00, 
BINT(((long)5849))); 
exit( -1 );} 
{ /* ./Llib/binary.scm 142 */
obj_t BgL_symbol1704z00_617;
BgL_symbol1704z00_617 = BGl_symbol1844z00zz__binaryz00; 
{ /* ./Llib/binary.scm 142 */

PUSH_TRACE(BgL_symbol1704z00_617); BUNSPEC; 
{ /* ./Llib/binary.scm 142 */
obj_t BgL_aux1703z00_618;
BgL_aux1703z00_618 = 
output_obj(BgL_portz00_615, BgL_objz00_558); 
POP_TRACE(); 
return BgL_aux1703z00_618;} } } } } 
}



/* output-char */
BGL_EXPORTED_DEF obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t BgL_portz00_9, char BgL_charz00_10)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 147 */
{ /* ./Llib/binary.scm 148 */
obj_t BgL_symbol1708z00_619;
BgL_symbol1708z00_619 = BGl_symbol1846z00zz__binaryz00; 
{ /* ./Llib/binary.scm 148 */

PUSH_TRACE(BgL_symbol1708z00_619); BUNSPEC; 
{ /* ./Llib/binary.scm 148 */
obj_t BgL_aux1707z00_620;
BgL_aux1707z00_620 = 
BGL_OUTPUT_CHAR(BgL_portz00_9, BgL_charz00_10); 
POP_TRACE(); 
return BgL_aux1707z00_620;} } } } 
}



/* _output-char1732 */
obj_t BGl__outputzd2char1732zd2zz__binaryz00(obj_t BgL_envz00_559, obj_t BgL_portz00_560, obj_t BgL_charz00_561)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 147 */
{ /* ./Llib/binary.scm 148 */
obj_t BgL_portz00_621;char BgL_charz00_622;
if(
BINARY_PORTP(BgL_portz00_560))
{ /* ./Llib/binary.scm 148 */
BgL_portz00_621 = BgL_portz00_560; }  else 
{ /* ./Llib/binary.scm 148 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1847z00zz__binaryz00, BGl_string1841z00zz__binaryz00, BgL_portz00_560, BGl_string1834z00zz__binaryz00, 
BINT(((long)6144))); 
exit( -1 );} 
{ /* ./Llib/binary.scm 148 */
obj_t BgL_auxz00_739;
if(
CHARP(BgL_charz00_561))
{ /* ./Llib/binary.scm 148 */
BgL_auxz00_739 = BgL_charz00_561
; }  else 
{ /* ./Llib/binary.scm 148 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1847z00zz__binaryz00, BGl_string1848z00zz__binaryz00, BgL_charz00_561, BGl_string1834z00zz__binaryz00, 
BINT(((long)6144))); 
exit( -1 );} 
BgL_charz00_622 = 
CCHAR(BgL_auxz00_739); } 
{ /* ./Llib/binary.scm 148 */
obj_t BgL_symbol1708z00_623;
BgL_symbol1708z00_623 = BGl_symbol1846z00zz__binaryz00; 
{ /* ./Llib/binary.scm 148 */

PUSH_TRACE(BgL_symbol1708z00_623); BUNSPEC; 
{ /* ./Llib/binary.scm 148 */
obj_t BgL_aux1707z00_624;
BgL_aux1707z00_624 = 
BGL_OUTPUT_CHAR(BgL_portz00_621, BgL_charz00_622); 
POP_TRACE(); 
return BgL_aux1707z00_624;} } } } } 
}



/* input-char */
BGL_EXPORTED_DEF obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t BgL_portz00_11)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 153 */
{ /* ./Llib/binary.scm 154 */
obj_t BgL_symbol1712z00_625;
BgL_symbol1712z00_625 = BGl_symbol1849z00zz__binaryz00; 
{ /* ./Llib/binary.scm 154 */

PUSH_TRACE(BgL_symbol1712z00_625); BUNSPEC; 
{ /* ./Llib/binary.scm 154 */
obj_t BgL_aux1711z00_626;
{ /* ./Llib/binary.scm 154 */
int BgL_charz00_627;
BgL_charz00_627 = 
BGL_INPUT_CHAR(BgL_portz00_11); 
if(
BGL_INT_EOFP(BgL_charz00_627))
{ /* ./Llib/binary.scm 154 */
BgL_aux1711z00_626 = BEOF; }  else 
{ /* ./Llib/binary.scm 154 */
unsigned char BgL_auxz00_753;
BgL_auxz00_753 = 
BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(
(long)(BgL_charz00_627)); 
BgL_aux1711z00_626 = 
BCHAR(BgL_auxz00_753); } } 
POP_TRACE(); 
return BgL_aux1711z00_626;} } } } 
}



/* _input-char1734 */
obj_t BGl__inputzd2char1734zd2zz__binaryz00(obj_t BgL_envz00_562, obj_t BgL_portz00_563)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 153 */
{ /* ./Llib/binary.scm 154 */
obj_t BgL_portz00_628;
if(
BINARY_PORTP(BgL_portz00_563))
{ /* ./Llib/binary.scm 154 */
BgL_portz00_628 = BgL_portz00_563; }  else 
{ /* ./Llib/binary.scm 154 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1850z00zz__binaryz00, BGl_string1841z00zz__binaryz00, BgL_portz00_563, BGl_string1834z00zz__binaryz00, 
BINT(((long)6430))); 
exit( -1 );} 
{ /* ./Llib/binary.scm 154 */
obj_t BgL_symbol1712z00_629;
BgL_symbol1712z00_629 = BGl_symbol1849z00zz__binaryz00; 
{ /* ./Llib/binary.scm 154 */

PUSH_TRACE(BgL_symbol1712z00_629); BUNSPEC; 
{ /* ./Llib/binary.scm 154 */
obj_t BgL_aux1711z00_630;
{ /* ./Llib/binary.scm 154 */
int BgL_charz00_631;
BgL_charz00_631 = 
BGL_INPUT_CHAR(BgL_portz00_628); 
if(
BGL_INT_EOFP(BgL_charz00_631))
{ /* ./Llib/binary.scm 154 */
BgL_aux1711z00_630 = BEOF; }  else 
{ /* ./Llib/binary.scm 154 */
unsigned char BgL_auxz00_767;
BgL_auxz00_767 = 
BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(
(long)(BgL_charz00_631)); 
BgL_aux1711z00_630 = 
BCHAR(BgL_auxz00_767); } } 
POP_TRACE(); 
return BgL_aux1711z00_630;} } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00()
{ AN_OBJECT;
{ /* ./Llib/binary.scm 15 */
{ /* ./Llib/binary.scm 15 */
obj_t BgL_symbol1716z00_542;
BgL_symbol1716z00_542 = BGl_symbol1851z00zz__binaryz00; 
{ /* ./Llib/binary.scm 15 */

PUSH_TRACE(BgL_symbol1716z00_542); BUNSPEC; 
{ /* ./Llib/binary.scm 15 */
obj_t BgL_aux1715z00_543;
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__binary"); 
BgL_aux1715z00_543 = 
BGl_modulezd2initializa7ationz75zz__intextz00(((long)11141), "__binary"); 
POP_TRACE(); 
return BgL_aux1715z00_543;} } } } 
}

